Skip to main content
PATCH
Update a list

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".

list_id
string
required

List ID is a numerical string that identifies a List. This is externally referred to as a "Status".

Body

application/json

List fields that need to be updated. All omitted fields are left unmodified.

title
string | null
Example:

"My list"

content
string | null
board_id
string | null
Example:

"2"

icon
string | null
Example:

"shield"

color
string
position
integer | null

a position where the list should be placed in the board

Example:

0

archived
boolean | null

make this list archived/unarchived

Example:

true

behavior
enum<string>
Available options:
backlog,
committed,
started,
completed,
cancelled

Response

updated list response

list
object